{
    "$graph": [
        {
            "class": "CommandLineTool",
            "baseCommand": "fscr_calls_pass1",
            "label": "fscr_calls_pass1",
            "requirements": [
                {
                    "class": "InlineJavascriptRequirement"
                },
                {
                    "class": "InitialWorkDirRequirement",
                    "listing": [
                        {
                            "entryname": "input.mft",
                            "entry": "${var blob = '# input.mft created for fscr_calls_pass1 from input input Array of Files\\n'; for (var i = 0; i < inputs.input.length; i++) { blob += inputs.input[i].path + '\\n'; } return blob; }"
                        }
                    ]
                }
            ],
            "arguments": [
                "-nogenbank"
            ],
            "inputs": [
                {
                    "type": "Directory",
                    "inputBinding": {
                        "prefix": "-asn-cache"
                    },
                    "id": "#fscr_calls_pass1.cwl/asn_cache"
                },
                {
                    "type": "string",
                    "default": "calls.asn",
                    "inputBinding": {
                        "prefix": "-o"
                    },
                    "id": "#fscr_calls_pass1.cwl/calls_name"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "id": "#fscr_calls_pass1.cwl/input"
                },
                {
                    "type": [
                        "null",
                        "string"
                    ],
                    "default": "input.mft",
                    "inputBinding": {
                        "prefix": "-input-manifest"
                    },
                    "id": "#fscr_calls_pass1.cwl/input_manifest"
                },
                {
                    "type": "string",
                    "default": "masked_locs.asn",
                    "inputBinding": {
                        "prefix": "-masked-locs"
                    },
                    "id": "#fscr_calls_pass1.cwl/masked_locs_name"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-max-reblast-spans"
                    },
                    "id": "#fscr_calls_pass1.cwl/max_reblast_spans"
                },
                {
                    "type": "string",
                    "default": "reblast_locs.asn",
                    "inputBinding": {
                        "prefix": "-reblast-locs"
                    },
                    "id": "#fscr_calls_pass1.cwl/reblast_locs_name"
                },
                {
                    "type": [
                        "null",
                        "int"
                    ],
                    "inputBinding": {
                        "prefix": "-repeat-threshold"
                    },
                    "id": "#fscr_calls_pass1.cwl/repeat_threshold"
                }
            ],
            "id": "#fscr_calls_pass1.cwl",
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.calls_name)"
                    },
                    "id": "#fscr_calls_pass1.cwl/calls"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.masked_locs_name)"
                    },
                    "id": "#fscr_calls_pass1.cwl/masked_locs"
                },
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.reblast_locs_name)"
                    },
                    "id": "#fscr_calls_pass1.cwl/reblast_locs"
                }
            ]
        },
        {
            "class": "CommandLineTool",
            "baseCommand": "fscr_format_calls",
            "arguments": [
                "-nogenbank",
                "-no-taxon-access"
            ],
            "label": "fscr_format_calls",
            "inputs": [
                {
                    "type": "File",
                    "inputBinding": {
                        "prefix": "-calls"
                    },
                    "id": "#fscr_format_calls.cwl/calls"
                },
                {
                    "type": "string",
                    "default": "calls.tab",
                    "inputBinding": {
                        "prefix": "-o"
                    },
                    "id": "#fscr_format_calls.cwl/oname"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputBinding": {
                        "glob": "$(inputs.oname)"
                    },
                    "id": "#fscr_format_calls.cwl/o"
                }
            ],
            "id": "#fscr_format_calls.cwl"
        },
        {
            "label": "tt_fscr_calls_pass1",
            "class": "Workflow",
            "inputs": [
                {
                    "type": "Directory",
                    "id": "#main/asn_cache"
                },
                {
                    "type": {
                        "type": "array",
                        "items": "File"
                    },
                    "id": "#main/input"
                }
            ],
            "steps": [
                {
                    "run": "#fscr_calls_pass1.cwl",
                    "label": "fscr_calls_pass1",
                    "in": [
                        {
                            "source": "#main/asn_cache",
                            "id": "#main/fscr_calls_pass1/asn_cache"
                        },
                        {
                            "source": "#main/input",
                            "id": "#main/fscr_calls_pass1/input"
                        },
                        {
                            "default": 50000,
                            "id": "#main/fscr_calls_pass1/max_reblast_spans"
                        },
                        {
                            "default": 300,
                            "id": "#main/fscr_calls_pass1/repeat_threshold"
                        }
                    ],
                    "out": [
                        "#main/fscr_calls_pass1/calls",
                        "#main/fscr_calls_pass1/reblast_locs",
                        "#main/fscr_calls_pass1/masked_locs"
                    ],
                    "id": "#main/fscr_calls_pass1"
                },
                {
                    "run": "#fscr_format_calls.cwl",
                    "in": [
                        {
                            "source": "#main/fscr_calls_pass1/calls",
                            "id": "#main/fscr_format_calls/calls"
                        }
                    ],
                    "out": [
                        "#main/fscr_format_calls/o"
                    ],
                    "id": "#main/fscr_format_calls"
                }
            ],
            "outputs": [
                {
                    "type": "File",
                    "outputSource": "#main/fscr_format_calls/o",
                    "id": "#main/calls"
                }
            ],
            "id": "#main"
        }
    ],
    "cwlVersion": "v1.2"
}
